/*
//====================================================================
// 	     Calculette avec symboles: analyse lexicale
//====================================================================
//      	  Jean-Paul RIGAULT --- Jeanvier 1993
//====================================================================
*/

%{
/* Sauvegarde d'une chaine de caracteres */
    
inline char *strsave(const char *s)
{
    char *pc = new char[strlen(s)+1];
    strcpy(pc, s);
    return pc;
}
%}

%%
"//".*                  ;	/* commentaires */
[0-9]+                  yylval.val = atoi(yytext); return VAL;
[a-zA-Z_][a-zA-Z_0-9]*  yylval.str = strsave(yytext); return IDENT;
\n 	                return EOL;
[\f \t]			;
.                       return yytext[0];

%%
