//=======================================================================
// Basic C++: procedural programming
//      A Fifo class: utilization
//-----------------------------------------------------------------------
// Jean-Paul Rigault --- Copyright 2003
// $Id: main_Fifo.cpp,v 1.2 2004/11/01 15:19:04 jpr Exp $
//=======================================================================

#include <cstdio>
using namespace std;

#include "Fifo.h"

int main()
{
    int i;

    Fifo<int> f(10);

    for (i = 0; i < 10; i++) f.put(i);
    
    try
    {
        f.put(999);
    }
    catch (Fifo<int>::Full)
    {
        fprintf(stderr, "Fifo full\n");
    }

    for (i = 0; i < 10; i++) printf("%d ", f.get());
    putchar('\n');

    try
    {
        f.get();
    }
    catch (Fifo<int>::Empty)
    {
        fprintf(stderr, "Fifo empty\n");
    }
    
}
    
