//--------------------------------------------------------------
//      A Stack class template Stack with exceptions
//              Utilization
//--------------------------------------------------------------
// Jean-Paul Rigault: Basic C++
// $Id: main_Stack.cpp,v 1.2 2004/11/01 15:19:04 jpr Exp $
//--------------------------------------------------------------

#include <cstdio>
using namespace std;

#include "Stack.h"

int main()
{
    Stack<char, 10> st;
    int c;

    try
    {
        while ((c = getchar()) != EOF) st.push(c);
        while (true) putchar(st.pop());
    }
    catch (Stack<char, 10>::Full)
    {
        fprintf(stderr, "stack full\n");
    }
    catch (Stack<char, 10>::Empty)
    {
        fprintf(stderr, "stack empty\n");
    }
                         
    putchar('\n');
}
