/*=======================================================================
 Basic C++: classe Date
	Utilization of class Date
-----------------------------------------------------------------------
 Jean-Paul Rigault --- Copyright 2003
 $Id: main_date_c.c,v 1.1.1.1 2004/11/01 13:39:47 jpr Exp $
=======================================================================*/

#include <stdio.h>

#include "date_c.h"

int main()
{
    struct date d1 = {2003, 12, 31};
    struct date d2 = {2003, 1, 1};

    printf("today : "); print_date(today()); 

    printf("d1 : "); print_date(d1); 
    printf("d1 + 1 : "); print_date(add(d1, 1)); 
    printf("d1 - 1 : "); print_date(sub(d1, 1)); 
    printf("d1 + 365 : "); print_date(add(d1, 365)); 
    printf("d1 + 730 : "); print_date(add(d1, 730)); 

    printf("d2 : "); print_date(d2); 
    printf("d2 + 1 : "); print_date(add(d2, 1)); 
    printf("d2 - 1 : "); print_date(sub(d2, 1)); 
    printf("d2 - 365 : "); print_date(sub(d2, 365));  
    printf("d2 - 730 : "); print_date(sub(d2, 730));  

    return 0;
}
